﻿using System.ComponentModel.DataAnnotations;

namespace IRaCIS.Core.Application.Contracts;

public class SignDTO
{
    public string UserName { get; set; } = String.Empty;

    public string PassWord { get; set; } = String.Empty;

    public string SignText { get; set; } = String.Empty;



    [NotDefault]
    public Guid TrialId { get; set; }

    [NotDefault]
    public Guid SignCodeId { get; set; }

    [NotDefault]
    public string SignCode { get; set; } = String.Empty;

    public Guid? SubjectVisitId { get; set; }

}


public class DataInspectionAddDTO
{

    public Guid TrialId { get; set; }
    public Guid SiteId { get; set; }
    public Guid SubjectId { get; set; }
    public Guid SubjectVisitId { get; set; }
    public int ModuleEnum { get; set; }
    public int OptEnum { get; set; }



    public string BlindName { get; set; } = string.Empty;
    public string Reason { get; set; } = string.Empty;
    public bool IsSign { get; set; }
    public string JsonDetail { get; set; } = string.Empty;




    ////需要单独处理
    //public string IP { get; set; }

    //public Guid? SignId { get; set; }

}


public interface IInspectionDTO
{
    public DataInspectionAddDTO AuditInfo { get; set; }
}

public interface ISignDTO
{
    public SignDTO SignInfo { get; set; }

}

public class TrialDocumentConfirmDTO : IInspectionDTO, ISignDTO
{
    public UserConfirmCommand OptCommand { get; set; }

    public DataInspectionAddDTO AuditInfo { get; set; }

    public SignDTO SignInfo { get; set; }
}